std::logic_error Class Reference
Diagnostics » Exceptions
Inheritance diagram for std::logic_error:
[legend]

## Public Member Functions

| logic_error (const char *) _GLIBCXX_TXN_SAFE
| logic_error (const string &__arg) _GLIBCXX_TXN_SAFE
virtual const char * | what () const _GLIBCXX_TXN_SAFE_DYN noexcept

## Detailed Description

One of two subclasses of exception.

Logic errors represent problems in the internal logic of a program; in theory, these are preventable, and even detectable before the program runs (e.g., violations of class invariants).

Definition at line 113 of file stdexcept.

The documentation for this class was generated from the following file:

- stdexcept